﻿using System;

namespace Model
{
    [Serializable]
    public class Person
    {
        public Person() { }

        private int _Salary = 1280;//上海最低工资

        /// <summary>
        /// 收入
        /// </summary>
        public int Salary
        {
            get { return _Salary; }
            set { _Salary = value; }
        }

        private string _Name = "No Name";

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }


        private DateTime _Birthday = new DateTime(1900, 1, 1);

        /// <summary>
        /// 生日
        /// </summary>
        public DateTime Birthday
        {
            get { return _Birthday; }
            set { _Birthday = value; }
        }


        public override string ToString()
        {
            return string.Format("Name={0},Birthday={1},Salary={2}", this.Name, this.Birthday, this.Salary);
        }
    }
}
