﻿using System;

namespace Model
{
    [Serializable]
    public class PersonQueryParameters
    {

        public PersonQueryParameters() { }

        private int _Salary_Min = Consts.SalaryMin;

        /// <summary>
        /// 工资范围(最小值)
        /// </summary>
        public int Salary_Min
        {
            get { return _Salary_Min; }
            set { _Salary_Min = value; }
        }



        private int _Salary_Max = Consts.SalaryMax;

        /// <summary>
        /// 工资范围(最大值)
        /// </summary>
        public int Salary_Max
        {
            get { return _Salary_Max; }
            set { _Salary_Max = value; }
        }


        private DateTime _Birthday_Min = Consts.BirthdayMin;

        /// <summary>
        /// 生日范围(最小值)
        /// </summary>
        public DateTime Birthday_Min
        {
            get { return _Birthday_Min; }
            set { _Birthday_Min = value; }
        }

        private DateTime _Birthday_Max = Consts.BirthdayMax;

        /// <summary>
        /// 生日范围(最大值)
        /// </summary>
        public DateTime Birthday_Max
        {
            get { return _Birthday_Max; }
            set { _Birthday_Max = value; }
        }



        public override string ToString()
        {
            return string.Format("Salary_Min={0},Salary_Max={1},Birthday_Min={2},Birthday_Max={3}", this.Salary_Min, this.Salary_Max, this.Birthday_Min, this.Birthday_Max);
        }

    }
}
